summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-lang/julia/Manifest1
-rw-r--r--dev-lang/julia/julia-1.4.0-r1.ebuild (renamed from dev-lang/julia/julia-1.4.0.ebuild)18
2 files changed, 16 insertions, 3 deletions
diff --git a/dev-lang/julia/Manifest b/dev-lang/julia/Manifest
index 12f5cbfb4b0..fd89339acd8 100644
--- a/dev-lang/julia/Manifest
+++ b/dev-lang/julia/Manifest
@@ -1,6 +1,7 @@
DIST julia-1.2.0.tar.gz 8255435 BLAKE2B 286b7bd93cae247c545d9c384e244115f84daee977839022993e91c69013eb4107ac77d86f996ec7a8e9f863bf5cab29fb063437b822e5da79e72bc9e0db4b65 SHA512 c99b0b744508b43df4ee334f588dbb57a633969d7cb164d41b76d552c1d14f5ff6f06a8d0da7f7a48fd1e3a3b3c2379998c5af1bfdff4b0c17045132b82a40b8
DIST julia-1.3.0.tar.gz 8793136 BLAKE2B e469d80c94e3b15b198011e62f591a699ec7218c755cf3e0c1be8f94e2a28e9800a10599a152f6865f534652d22f118bb14cd1886d257a96e6875562bce56f0c SHA512 c7fdc5c4435c82688fe608a7009ccee6d622f51a62578bf2323ad623acfd58bfb6ed1252f81481708b5b428c37292e078ce72b10df3fe32d29158b0726be2c2e
DIST julia-1.4.0.tar.gz 7239281 BLAKE2B f11467cf91c2a72f03f77421537f4089bab6a1596ede27963551819453bea2a3a46cad9a43951df8857120a00a44f2f04eb5e23659ea4d1772feddb00ba85d2c SHA512 f8152a595f13932f6cad186cf2fdf2fb0bd64cc49bbb11a76d8299f4745ca6428823ead0e73a7bae1347f1b99bf1181d1f457587d13a7bfc7324ca81afc35cc1
+DIST julia-Pkg-49908bffe83790bc7cf3c5d46faf3667f8902ad4.tar.gz 389738 BLAKE2B 1ed9201badf0a1db5142e0566bfe085b364e4681670937ac5fa53c15312ff8eb29d5e783b75fe3f4f379b041ba38c66ce94962fa7d98fcfd0b7b49acd1749d69 SHA512 a85aa80b3080794a8e3ae5ce54856e63457c461659c12fde5dde1b5ec33176ea06af49ee516d01ccd7b78d8358de2fe0ffcd5c6a6d5a5088cdcd76a0133780eb
DIST julia-dsfmt-2.2.3.tar.gz 291773 BLAKE2B 6ffae90494d72527920c80fc0fb005da1c7b84f8a03a7ecb0789434c0fff97359e5098e85431896dffccc7d5148c414e847aaba5feef648b8788421a466ff65e SHA512 6d8ddcd01aab3f9039f4f0288a8af53e290cc2f293ed8c4a8c9f3b3f12398e7eedfce8016117b425766ba89c61c86c13b3e420035b5f9bf91315b8b814c03662
DIST julia-libuv-2348256acf5759a544e5ca7935f638d2bc091d60.tar.gz 1555710 BLAKE2B 31ce57d23765c142799dd985a5511751d63238cf7e082fd1ad5574bf62201e9d6cb53b8da5dcc724765ccb4abd63da3ca6d6cbd45e078310c2ffa3859d09b8e4 SHA512 c8bf3c736a60feb0c6994aa7cd1b80e1a45bd6096aa66db320ddfc27b59a0797d303338ea75978619173e4f0a680254f3db29c9f6d1b84361030cc11c7729c98
DIST julia-libuv-35b1504507a7a4168caae3d78db54d1121b121e1.tar.gz 1577394 BLAKE2B 8ab36f781619f710a64ddc6cf257a4c2f6d27ac22e33ed6f184902d0c6cc3a3941254e0a825071fcd57f869e3ccc5eaf71856539cf6b484358d5aafe383000a9 SHA512 5932e9105346e952fd0f51f79898e5b9c993261ec1558408437647ab3b3ce282562f1e0a16db5704cb66e7aa7a4c6a75dd7f0da498a98b1b6af48da88b4869f0
diff --git a/dev-lang/julia/julia-1.4.0.ebuild b/dev-lang/julia/julia-1.4.0-r1.ebuild
index 0cd3cf9b406..fd5891924c7 100644
--- a/dev-lang/julia/julia-1.4.0.ebuild
+++ b/dev-lang/julia/julia-1.4.0-r1.ebuild
@@ -12,6 +12,7 @@ MY_LIBUV_V="35b1504507a7a4168caae3d78db54d1121b121e1"
MY_UTF8PROC_V="5c632c57426f2e4246e3b64dd2fd088d3920f9e5"
MY_LIBWHICH_V="81e9723c0273d78493dc8c8ed570f68d9ce7e89e"
MY_DSFMT_V="2.2.3"
+MY_PKG_V="49908bffe83790bc7cf3c5d46faf3667f8902ad4"
DESCRIPTION="High-performance programming language for technical computing"
HOMEPAGE="https://julialang.org/"
@@ -21,6 +22,7 @@ SRC_URI="
https://api.github.com/repos/JuliaLang/utf8proc/tarball/${MY_UTF8PROC_V} -> ${PN}-utf8proc-${MY_UTF8PROC_V}.tar.gz
https://api.github.com/repos/vtjnash/libwhich/tarball/${MY_LIBWHICH_V} -> ${PN}-libwhich-${MY_LIBWHICH_V}.tar.gz
http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/SFMT/dSFMT-src-${MY_DSFMT_V}.tar.gz -> ${PN}-dsfmt-${MY_DSFMT_V}.tar.gz
+ https://dev.gentoo.org/~tamiko/distfiles/Pkg-${MY_PKG_V}.tar.gz -> ${PN}-Pkg-${MY_PKG_V}.tar.gz
"
LICENSE="MIT"
@@ -36,7 +38,6 @@ LLVM_MAX_SLOT=9
RDEPEND+="
dev-libs/double-conversion:0=
dev-libs/gmp:0=
- dev-libs/libgit2:0=
>=dev-libs/libpcre2-10.23:0=[jit,unicode]
dev-libs/mpfr:0=
dev-libs/openspecfun
@@ -77,7 +78,19 @@ src_unpack() {
mkdir -p "${S}/deps/srccache/"
for i in "${tounpack[@]:1}"; do
- cp "${DISTDIR}/${i}" "${S}/deps/srccache/${i#julia-}" || die
+ if [[ $i == *Pkg* ]] || [[ $i = *Statistics* ]]; then
+ # Bundled Pkg and Statistics packages go into ./stdlib
+ local tarball="${i#julia-}"
+ cp "${DISTDIR}/${i}" "${S}/stdlib/srccache/${tarball}" || die
+ # and we have to fix up the sha1sum
+ local name="${tarball%-*}"
+ local sha1="${tarball#*-}"
+ sha1="${sha1%.tar*}"
+ einfo "using patched stdlib package \"${name}\""
+ sed -i -e "s/PKG_SHA1 = .*/PKG_SHA1 = ${sha1}/" "${S}/stdlib/${name}.version" || die
+ else
+ cp "${DISTDIR}/${i}" "${S}/deps/srccache/${i#julia-}" || die
+ fi
done
}
@@ -136,7 +149,6 @@ src_configure() {
USE_SYSTEM_MBEDTLS:=1
USE_SYSTEM_LIBSSH2:=1
USE_SYSTEM_CURL:=1
- USE_SYSTEM_LIBGIT2:=1
USE_SYSTEM_PATCHELF:=1
USE_SYSTEM_ZLIB:=1
USE_SYSTEM_P7ZIP:=1